%define uname	ortp
%define major	9
%define libname	%mklibname %{name}
%define libnamedev %mklibname %{name} -d

Summary:	Real-time Transport Protocol Stack
Name:		ortp9
Version:	0.24.2
Release:	%mkrel 2
License:	LGPLv2+
Group:		Networking/Other
URL:		http://linphone.org/ortp/
Source0:	http://download.savannah.gnu.org/releases/linphone/ortp/%{uname}-%{version}.tar.xz

BuildRequires:	doxygen

%description
oRTP is a LGPL licensed C library implementing the RTP protocol
(rfc1889). It is available for most unix clones (primilarly Linux and
HP-UX), and Microsoft Windows.
This old version is required by ghpsdr3.

%package -n	%{libname}
Summary:	Real-time Transport Protocol Stack
Group:		System/Libraries

%description -n	%{libname}
oRTP is a LGPL licensed C library implementing the RTP protocol
(rfc1889). It is available for most unix clones (primilarly Linux and
HP-UX), and Microsoft Windows.

%package -n	%{libnamedev}
Summary:	Headers, libraries and docs for the oRTP library
Group:		Development/Libraries
Provides:	%{name}-devel = %{version}
Provides:	lib%{name}-devel = %{version}
Requires:	%{libname} = %{version}
Conflicts:	%{uname}-devel
Conflicts:	lib%{uname}-devel

%description -n %{libnamedev}
oRTP is a LGPL licensed C library implementing the RTP protocol
(rfc1889). It is available for most unix clones (primilarly Linux and
HP-UX), and Microsoft Windows.

This package contains header files and development libraries needed to
develop programs using the oRTP library.

%prep
%setup -q -n %{uname}-%{version}

%build
%configure2_5x \
    --disable-strict \
    --enable-shared \
    --disable-static

%make_build

%install
%make_install

rm -f %{buildroot}%{_libdir}/*.la

%files -n %{libname}
%{_libdir}/*.so.%{major}*

%files -n %{libnamedev}
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%{_includedir}/%{uname}
%{_datadir}/doc/%{uname}-%{version}


%changelog
* Wed Sep 08 2020 tex - 0.24.2-2pclos2020
- update pkg

